package utils

// APIResponse API响应结构
type APIResponse struct {
	Success bool        `json:"success"`
	Message string      `json:"message"`
	Data    interface{} `json:"data,omitempty"`
	Error   string      `json:"error,omitempty"`
}

// SuccessResponse 成功响应
func SuccessResponse(message string) APIResponse {
	return APIResponse{
		Success: true,
		Message: message,
	}
}

// SuccessWithDataResponse 成功响应（带数据）
func SuccessWithDataResponse(message string, data interface{}) APIResponse {
	return APIResponse{
		Success: true,
		Message: message,
		Data:    data,
	}
}

// ErrorResponse 错误响应
func ErrorResponse(message, errorDetail string) APIResponse {
	resp := APIResponse{
		Success: false,
		Message: message,
	}

	if errorDetail != "" {
		resp.Error = errorDetail
	}

	return resp
}

// // SuccessWithDataResponse 成功响应（带数据）
// func SuccessWithNoDataResponse(message string, data interface{}) J {
// 	return data

// }
